package com.wasu.widgets.focuswidget;

import android.view.View;

/**
 * @Description: RecyclerView功能接口
 * @Author: Danxingxi
 * @CreateDate: 2017/1/16 14:24
 */
public interface IRecyclerView {

    /**
     * 更新当前的FocusView
     * @param focusView 可为空
     */
    void modifyUI(View focusView);

    /**
     *
     * @param focusView
     * @param position
     */
    void modifyUI(View focusView, int position);

    /**
     * 摇晃动画
     * @param view
     */
    void shockAnim(View view);

    /**
     * 设置itemView焦点监听器
     * @param itemViewFocusSearchListener
     */
    void setItemViewFocusSearchListener(ItemViewFocusSearchListener itemViewFocusSearchListener);
}
